var gulp = require('gulp'),
    rename = require('gulp-rename'),
    deleteLinesPoint = require('delete-lines-using-string');

gulp.task('deleteLinesUsingString:removeBefore', function(){
    gulp.src('src/example.html')
        .pipe(deleteLinesUsingString.removeBefore('<!-- DELETION POINT -->', 'true'))
        .pipe(rename('before.html'))
        .pipe(gulp.dest('build'));
});

gulp.task('deleteLinesUsingString:removeAfter', function(){
    gulp.src('src/example.html')
        .pipe(deleteLinesUsingString.removeAfter('<!-- DELETION POINT -->', 'true'))
        .pipe(rename('before.html'))
        .pipe(gulp.dest('build'));
});

gulp.task('default', [
    'deleteLinesUsingString:removeBefore',
    'deleteLinesUsingString:removeAfter'
]);